opensdr_check_var(OPENSDR_QT_TEST_APP_DIR)

set(OPENSDR_QT_TEST_APP_INCLUDES ${OPENSDR_QT_TEST_APP_DIR} "${OPENSDR_QT_TEST_APP_DIR}/SYS/global_includes")

file(GLOB_RECURSE OPENSDR_QT_TEST_APP_HEADERS   
    "${OPENSDR_QT_TEST_APP_DIR}/*.h"
)

file(GLOB_RECURSE OPENSDR_QT_TEST_APP_SOURCES
    "${OPENSDR_QT_TEST_APP_DIR}/*.c"
    "${OPENSDR_QT_TEST_APP_DIR}/*.cpp"
    "${OPENSDR_QT_TEST_APP_DIR}/*.ui"
) 

opensdr_dev_var(OPENSDR_QT_TEST_APP_INCLUDES OPENSDR_QT_TEST_APP_HEADERS OPENSDR_QT_TEST_APP_SOURCES)
